# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name kde_servicemenu_pdf
%define summary managing pdf files
%define version 0.2
%define subversion b2
%define release %mkrel 0b2

Name: 		%{name} 
Summary:	%{summary} 
Version: 	%{version} 
Release: 	%{release} 
Url:		http://www.kde-apps.org/content/show.php/servicemenu-pdf+for+KDE4?content=37321
Group:		Graphical desktop/KDE
License:	GPL 

Source0: 	servicemenu-pdf_%{version}%{subversion}.tar.gz

BuildArch:  	noarch

BuildRoot: %{_tmppath}/%{name}-%{version}%{subversion}-buildroot 

Requires: kdialog,pdftk,pdfjam
 
%description  
A service menu for KDE4 for some basic transforming of pdf files.
such as Rotating, extract attached files, join, split, repair, lock, unlock, uncompress, compress

%prep
rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n servicemenu-pdf_%{version}%{subversion}


%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp *.sh ${RPM_BUILD_ROOT}%{_bindir}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/ServiceMenus/
cp *.desktop ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/ServiceMenus/


%clean  
rm -rf ${RPM_BUILD_ROOT} 
 
%files   
%defattr(0755,root,root)
%doc changelog copyright Description LICENSE
%attr(755,root,root) %{_bindir}/*.sh
%{_datadir}/kde4/services/ServiceMenus/*.desktop

%changelog  

* Fri Dec 05 2008 Marco Meijer <marco@mandrivaclub.nl> 0.2b
- KDE4 version
- Mandriva 2009.0 build
- build for mandrivaclub.nl 
